/*
 * Class CHAIN [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2064 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2064 [] = {0xFF01,1551,2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2064 [] = {0xFF01,2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2064 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2064 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2064 [] = {0xFF01,2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2064 [] = {0xFF01,2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2064 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2064 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2064 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2064 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2064 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2064 [] = {2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2064 [] = {0xFF01,2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2064 [] = {0xFF01,2050,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2064 [] = {0xFF01,2045,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2064 [] = {0xFF01,2063,842,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2064 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2064 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2064 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_2064[] = {
	{EIF_GENERIC(NULL), 12312, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2064), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2064), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2064), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2064), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2064), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2064), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2064), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2064), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2064), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2064), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2064), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2064), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2064), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2064), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8664, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2064), 8928, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2064), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2064), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9101, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12311, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12316, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2064), 8921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12322, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2064), 11022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2064), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2064), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12321, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8919, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9324, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12332, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2064), 12313, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2064), 12314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12323, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12329, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12330, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2064), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2064), 12317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2064), 12318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12325, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12331, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2064), 12317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2064), 12320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2064), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2064(void)
{
	IDSC(desc_2064, 0, 2063);
	IDSC(desc_2064 + 1, 1, 2063);
	IDSC(desc_2064 + 32, 1134, 2063);
	IDSC(desc_2064 + 41, 1060, 2063);
	IDSC(desc_2064 + 47, 1444, 2063);
	IDSC(desc_2064 + 56, 1135, 2063);
	IDSC(desc_2064 + 65, 1088, 2063);
	IDSC(desc_2064 + 67, 1534, 2063);
	IDSC(desc_2064 + 74, 1245, 2063);
	IDSC(desc_2064 + 77, 387, 2063);
	IDSC(desc_2064 + 79, 636, 2063);
	IDSC(desc_2064 + 93, 916, 2063);
	IDSC(desc_2064 + 99, 1570, 2063);
	IDSC(desc_2064 + 102, 778, 2063);
	IDSC(desc_2064 + 103, 254, 2063);
	IDSC(desc_2064 + 106, 554, 2063);
	IDSC(desc_2064 + 107, 878, 2063);
	IDSC(desc_2064 + 108, 794, 2063);
}


#ifdef __cplusplus
}
#endif
